# Oneshell means I can run multiple lines in a recipe in the same shell, so I don't have to
# chain commands together with semicolon
.ONESHELL:
# Need to specify bash in order for conda activate to work.
SHELL=/bin/bash
# Note that the extra activate is needed to ensure that the activate floats env to the front of PATH
CONDA_ACTIVATE=source $$(conda info --base)/etc/profile.d/conda.sh ; conda activate ; conda activate

build:
	$(CONDA_ACTIVATE) exp_env
	echo "build jupyter-book"
	jupyter-book build .

meta:
	$(CONDA_ACTIVATE) exp_env
	echo "Run metadata"
	python3 metadata.py